/* 
 * © 2009 Sun Microsystems, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __UISTYLE_H__
#define __UISTYLE_H__

// Various constants for platform specific look & feel

// See related utility functions in utilities.h (such as add_ok_cancel_buttons())

#ifdef _WIN32

# define MF_WINDOW_PADDING 12
# define MF_PANEL_PADDING 12
# define MF_BUTTON_SPACING 8
# define MF_TABLE_COLUMN_SPACING 8
# define MF_TABLE_ROW_SPACING 12

#elif defined(__APPLE__)

# define MF_WINDOW_PADDING 12
# define MF_PANEL_PADDING 12
# define MF_BUTTON_SPACING 12
# define MF_TABLE_COLUMN_SPACING 8
# define MF_TABLE_ROW_SPACING 12

#else

# define MF_WINDOW_PADDING 12
# define MF_PANEL_PADDING 12 
# define MF_BUTTON_SPACING 12
# define MF_TABLE_COLUMN_SPACING 8
# define MF_TABLE_ROW_SPACING 12

#endif

#endif



